<?
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/ini.php");
include_once("inclydings/zag.php");
include_once("inclydings/sesi.php");
if (isset($user)) {
echo'<div class="menu6">';
switch(@$go) {
default:
if(!@file("local/dataanket/$log.dat")){
echo'У вас нет анкеты.<br /><a href="anketa.php?'.$sd.'&go=make">Создать</a><br />';
}else{
$vfile = file("local/dataanket/$log.dat");
$value = explode("||",$vfile[0]);
echo'<b>Ваша анкета</b><br />
Имя: '.$value[0].'<br />
Фамилия: '.$value[1].'<br />
Дата рождения: '.$value[2].' '.$value[3].' '.$value[4].'<br />
Город: '.$value[5].'<br />
Сайт: <a href="http://'.$value[8].'">'.$value[8].'</a><br />
ICQ: '.$value[6].'<br />
Номер телефона: '.$value[11].'<br />
Оператор: '.$value[9].'<br />
Модель телефона: '.$value[7].'<br />
О себе: '.$value[10].'<br />
<a href="anketa.php?'.$sd.'&go=make">Изменить</a><br />
';
}
break;
case 'look' :
$nick = htmlspecialchars(stripslashes($nick));
if(!@file("local/dataanket/$nick.dat")){
echo'У этого игрока пока нет анкеты...'.$nick.'<br />';
}else{
$textn = @file("L2dbnam/esql2db/reg/$nick.dat");
$udatan = explode(":||:",$textn[0]);
$vfile = @file("local/dataanket/$nick.dat");
$value = explode("||",$vfile[0]);
echo'<b>Анкета игрока '.$nick.'</b><br />
Имя: '.$value[0].'<br />
Фамилия: '.$value[1].'<br />
Пол: ';
if($udatan[2]=="M"){echo'Парень<br />';}else{echo'Девушка<br />';}
echo'
Дата рождения: '.$value[2].' '.$value[3].' '.$value[4].'<br />
Город: '.$value[5].'<br />
Сайт: <a href="http://'.$value[8].'">'.$value[8].'</a><br />
ICQ: '.$value[6].'<br />
Номер телефона: '.$value[11].'<br />
Оператор: '.$value[9].'<br />
Модель телефона: '.$value[7].'<br />
О себе: '.$value[10].'<br />
';
}
break;
case 'make':
$vfile = @file("local/dataanket/$log.dat");
$value = explode("||",$vfile[0]);
////////////////////////////// REG INPUT /////////////////////////////
echo '<form method="post" action="anketa.php?'.$sd.'&go=makeanket">';
echo 'Имя:<br/><input name="name" type="log" maxlength="25" value="'.$value[0].'" /><br/>';
echo 'Фамилия:<br/><input name="lastname" type="log" maxlength="25" value="'.$value[1].'" /><br/>';
echo 'День:<br/><select id="select" name="day" type="select">
<option value="1">1 </option>
<option value="2">2 </option>
<option value="3">3 </option>
<option value="4">4 </option>
<option value="5">5 </option>
<option value="6">6 </option>
<option value="7">7 </option>
<option value="8">8 </option>
<option value="9">9 </option>
<option value="10">10 </option>
<option value="11">11 </option>
<option value="12">12 </option>
<option value="13">13 </option>
<option value="14">14 </option>
<option value="15">15 </option>
<option value="16">16 </option>
<option value="17">17 </option>
<option value="18">18 </option>
<option value="19">19 </option>
<option value="20">20 </option>
<option value="21">21 </option>
<option value="22">22 </option>
<option value="23">23 </option>
<option value="24">24 </option>
<option value="25">25 </option>
<option value="26">26 </option>
<option value="27">27 </option>
<option value="28">28 </option>
<option value="29">29 </option>
<option value="30">30 </option>
<option value="31">31 </option>
</select><br/>';
echo 'Месяц:<br/>
<select name="month" id="select" type="select">
<option value="Января">Январь </option>
<option value="Февраля">Февраль </option>
<option value="Марта">Март </option>
<option value="Апреля">Апрель </option>
<option value="Мая">Май </option>
<option value="Июня">Июнь </option>
<option value="Июля">Июль </option>
<option value="Августа">Август </option>
<option value="Сентябрь">Сентябрь </option>
<option value="Октября">Октябрь </option>
<option value="Ноября">Ноябрь </option>
<option value="Декабря">Декабрь </option>
</select><br/>';
echo 'Год:<br/><input name="year" type="log" maxlength="4" value="'.$value[4].'" /><br/>';
echo 'Город:<br/><input name="gorod" type="log" maxlength="30" value="'.$value[5].'" /><br/>';
echo 'Сайт(без http://):<br/><input name="sitee" type="log" maxlength="35" value="'.$value[8].'" /><br/>';
echo 'ICQ:<br/><input name="icq" type="log" maxlength="9" value="'.$value[6].'" /><br/>';
echo 'Номер телефона(+3..):<br/><input name="number" type="log" maxlength="13" value="'.$value[11].'" /><br/>';
echo 'Оператор:<br/><input name="opsos" maxlength="20" type="log" value="'.$value[9].'" /><br/>';
echo 'Модель телефона:<br/><input name="model"  type="log"maxlength="25" value="'.$value[7].'" /><br/>';
echo 'О себе:<br/><input name="about" maxlength="250" type="log" value="'.$value[10].'" /><br/>';
echo '<br /><input class="button" type="submit" value="Отправить"/>';
echo '<postfield name="name" value="$(name)"/>';
echo '<postfield name="lastname" value="$(lastname)"/>';
echo '<postfield name="day" value="$(day)"/>';
echo '<postfield name="month" value="$(month)"/>';
echo '<postfield name="year" value="$(year)"/>';
echo '<postfield name="gorod" value="$(gorod)"/>';
echo '<postfield name="number" value="$(number)"/>';
echo '<postfield name="model" value="$(model)"/>';
echo '<postfield name="sitee" value="$(sitee)"/>';
echo '<postfield name="icq" value="$(icq)"/>';
echo '<postfield name="opsos" value="$(opsos)"/>';
echo '<postfield name="about" value="$(about)"/></form>';
break;
case 'makeanket' :
function check($mess){
$mess=str_replace("|","",$mess);
$mess=str_replace("||","",$mess);
$mess=htmlspecialchars($mess);
$mess=str_replace("'","&#39;",$mess);
$mess=str_replace("\"","&#34;",$mess);
$mess=str_replace("$","&#036;",$mess);
$mess=str_replace("\\","&#092;", $mess);
$mess=str_replace("!","&#33;", $mess);
$mess=str_replace("[","&#91;", $mess);
$mess=str_replace("]","&#93;", $mess);
$mess=str_replace("@","&#064;", $mess);
$mess=stripslashes($mess);
return $mess;  }
$name=check($name);
$lastname=check($lastname);
$day=check($day);
$month=check($month);
$year=check($year);
$gorod=check($gorod);
$icq=check($icq);
$model=check($model);
$sitee=check($sitee);
$opsos=check($opsos);
$number=check($number);
$about=check($about);

$text=$name.'||'.$lastname.'||'.$day.'||'.$month.'||'.$year.'||'.$gorod.'||'.$icq.'||'.$model.'||'.$sitee.'||'.$opsos.'||'.$about.'||'.$number.'||0||';
/////////////////////////////// write anketa ////////
$fp=fopen("local/dataanket/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
////////////////////////////// send message /////////
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
$udata[22]=trim($udata[22]+1);
$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

$message="Ваша анкета успешно обновлена!";
$message=base64_encode($message);
$pozdr=":::Система|".$message."|".$data;
$fp=fopen("L2dbnam/esql2db/msg/$log.msg","a+");
flock($fp,LOCK_EX);
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo'Анкета обновлена!<br /><a href="anketa.php?'.$sd.'">Назад</a><br />';
break;
}
echo'</div>';
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>
